Subject: bug#17137: autoload-generate-file-autoloads should respect finder--builtins-alist

From: Stefan Monnier <[email-masked]>
Date: Mon, 31 Mar 2014 20:54:25 -0400

>>>> I also remember now that maybe autoload-generate-file-autoloads should
>>>> simply use autoload-file-load-name instead of file-name-nondirectory.
>>> Can package names contain "/" characters?
>> Don't see why not.
> I'm thinking of things like NAME-readme.txt, where NAME is eg FOO/BAR.

Indeed, the GNU ELPA build scripts will likely fail somewhere with
a foo/bar-NN.MM.el or foo/bar-NN.MM.tar as well, and package.el will
probably burp on those as well.

> I would not be surprised if package.el starts throwing "No such
> directory: FOO" errors.

So, we can have such foo/bar packages bundled with Emacs but we won't be
able to move them out into GNU ELPA, so there's no point having them in
package-builtins.

        Stefan